aboutsummaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorIan Lance Taylor <iant@golang.org>2014-05-20 21:36:50 -0700
committerIan Lance Taylor <iant@golang.org>2014-05-20 21:36:50 -0700
commitf85600859dbe0ebad85f997f158f8e0224a3c02f (patch)
tree1e4c5568a679fc0fd41aee9fc2ceed0bf6a7f3ab /src/run.bash
parent80f0a7df26d216c96400d1f7cfbb5106d4b354df (diff)
downloadgo-f85600859dbe0ebad85f997f158f8e0224a3c02f.tar.gz
go-f85600859dbe0ebad85f997f158f8e0224a3c02f.zip
cmd/ld: really import runtime/cgo for external link
Fixes #8032. LGTM=rsc R=rsc CC=golang-codereviews https://golang.org/cl/95580043
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash3
1 files changed, 3 insertions, 0 deletions
diff --git a/src/run.bash b/src/run.bash
index 4706c2bc4f..76216ba010 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -145,6 +145,9 @@ dragonfly-386 | dragonfly-amd64 | freebsd-386 | freebsd-amd64 | freebsd-arm | li
echo "No support for static linking found (lacks libc.a?), skip cgo static linking test."
else
go test -ldflags '-linkmode=external -extldflags "-static -pthread"' ../testtls || exit 1
+ go test ../nocgo || exit 1
+ go test -ldflags '-linkmode=external' ../nocgo || exit 1
+ go test -ldflags '-linkmode=external -extldflags "-static -pthread"' ../nocgo || exit 1
fi
;;
esac